cURL
curl --request GET \
--url https://drb.coinbase.com/api/v2/private/get_account_summary \
--header 'Content-Type: application/json' \
--data '
{
"id": 2515,
"jsonrpc": "2.0",
"method": "private/get_account_summary",
"params": {
"currency": "BTC",
"extended": true
}
}
'import requests
url = "https://drb.coinbase.com/api/v2/private/get_account_summary"
payload = {
"id": 2515,
"jsonrpc": "2.0",
"method": "private/get_account_summary",
"params": {
"currency": "BTC",
"extended": True
}
}
headers = {"Content-Type": "application/json"}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
id: 2515,
jsonrpc: '2.0',
method: 'private/get_account_summary',
params: {currency: 'BTC', extended: true}
})
};
fetch('https://drb.coinbase.com/api/v2/private/get_account_summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 2515,
"jsonrpc": "2.0",
"result": {
"available_funds": 301.38059622,
"available_withdrawal_funds": 301.35396172,
"balance": 302.60065765,
"block_rfq_self_match_prevention": true,
"creation_timestamp": 1687352432143,
"cross_collateral_enabled": false,
"currency": "BTC",
"delta_total": 31.602958,
"delta_total_map": {
"btc_usd": 31.594357699
},
"email": "user@example.com",
"equity": 302.61869214,
"estimated_liquidation_ratio": 0.10098722,
"estimated_liquidation_ratio_map": {
"btc_usd": 0.1009872222854525
},
"fee_balance": 0,
"fees": {
"btc_usd": {
"future": {
"block_trade": 0.3,
"default": {
"maker": -0.0001,
"taker": 0.00035000000000000005,
"type": "fixed"
}
},
"option": {
"block_trade": 0.625,
"default": {
"maker": 0.625,
"taker": 0.625,
"type": "relative"
}
},
"perpetual": {
"block_trade": 0.3,
"default": {
"maker": -0.0001,
"taker": 0.00035000000000000005,
"type": "fixed"
}
}
}
},
"futures_pl": -0.32434225,
"futures_session_rpl": -0.03258105,
"futures_session_upl": 0.05921555,
"id": 10,
"initial_margin": 1.24669592,
"interuser_transfers_enabled": false,
"limits": {
"limits_per_currency": false,
"matching_engine": {
"cancel_all": {
"burst": 250,
"rate": 200
},
"guaranteed_quotes": {
"burst": 2,
"rate": 2
},
"max_quotes": {
"burst": 10,
"rate": 10
},
"quotes": {
"burst": 500,
"rate": 500
},
"spot": {
"burst": 250,
"rate": 200
},
"trading": {
"total": {
"burst": 250,
"rate": 200
}
}
},
"non_matching_engine": {
"burst": 1500,
"rate": 1000
}
},
"login_enabled": false,
"maintenance_margin": 0.8857841,
"margin_balance": 302.62729214,
"margin_model": "segregated_sm",
"mmp_enabled": false,
"options_delta": -1.01962,
"options_gamma": 0.00001,
"options_gamma_map": {
"btc_usd": 0.00001
},
"options_pl": -0.0065,
"options_session_rpl": 0,
"options_session_upl": -0.0065,
"options_theta": 15.97071,
"options_theta_map": {
"btc_usd": 15.97071
},
"options_value": -0.0086,
"options_vega": 0.0858,
"options_vega_map": {
"btc_usd": 0.0858
},
"portfolio_margining_enabled": false,
"projected_delta_total": 32.613978,
"projected_initial_margin": 1.01529592,
"projected_maintenance_margin": 0.7543841,
"referrer_id": null,
"security_keys_enabled": false,
"self_trading_extended_to_subaccounts": false,
"self_trading_reject_mode": "cancel_maker",
"session_rpl": -0.03258105,
"session_upl": 0.05271555,
"spot_reserve": 0,
"system_name": "user",
"total_pl": -0.33084225,
"type": "main",
"username": "user"
}
}Account Management
private/get_account_summary
Retrieves the account summary for a specific currency. The summary includes balance, equity, available funds, initial margin, maintenance margin, and other margin-related information.
To retrieve the summary for a specific subaccount, use the subaccount_id parameter. When the extended parameter is set to true, additional account details such as account ID, username, email, and account type are included.
Scope: rat#view or wallet:accounts:read
GET
/
private
/
get_account_summary
cURL
Query Parameters
The currency symbol
Currency, i.e "BTC", "ETH", "USDC"
Available options:
BTC, ETH, STETH, ETHW, USDC, USDT, EURR, SOL, XRP, USYC, PAXG, BNB, USDE The user id for the subaccount
Include additional fields
Example:
true
Was this page helpful?
⌘I